apiVersion: apps/v1
kind: Deployment
metadata:
  name: msvc-gateway
spec:
  replicas: 1
  selector:
    matchLabels:
      app: msvc-gateway
  template:
    metadata:
      labels:
        app: msvc-gateway
    spec:
      containers:
        - image: felipedocker92/gateway:latest
          name: msvc-gateway
          ports:
            - containerPort: 8090
          env:
            - name: MY_NODE_NAME
              valueFrom:
                fieldRef:
                  fieldPath: spec.nodeName
            - name: MY_POD_IP
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
            - name: PORT
              valueFrom:
                configMapKeyRef:
                  name: msvc-gateway
                  key: port
---
apiVersion: v1
kind: Service
metadata:
  name: msvc-gateway
spec:
  ports:
    - port: 8090
      protocol: TCP
      targetPort: 8090
  selector:
    app: msvc-gateway
  type: LoadBalancer
